%global momorel 1
%global md5sum_src0 b44d8aee3f6610370b6faf61770c5f3c

%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Library to access an iPod audio player
Name: libgpod
Version: 0.6.0
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://www.gtkpod.org/libgpod.html
Group: System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/gtkpod/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: dbus-devel >= 0.92
BuildRequires: dbus-glib-devel
BuildRequires: eject
BuildRequires: gettext
BuildRequires: gtk-doc
BuildRequires: gtk2-devel >= 2.10.3
BuildRequires: hal-devel
BuildRequires: perl-XML-Parser
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: python-eyed3
BuildRequires: python-mutagen
BuildRequires: swig

%description
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%package devel
Summary: Headers for developing programs that will use libgpod
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Headers for developing programs that will use libgpod.

%package -n python-gpod
Summary: A python module to access iPod content
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: python-eyed3

%description -n python-gpod
A python module to access iPod content.  This module provides bindings
to the libgpod library.

%prep
%setup -q

# remove execute perms on the python examples as they'll be installed in %doc
chmod 644 bindings/python/examples/*.py

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

find %{buildroot} -name "*.la" -delete

# remove Makefiles from the examples dir
rm -rf bindings/python/examples/Makefile*

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README* TROUBLESHOOTING
%{_libdir}/libgpod.so.*
%{_datadir}/locale/*/LC_MESSAGES/libgpod.mo

%files devel
%defattr(-,root,root)
%{_includedir}/gpod-1.0
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgpod.a
%{_libdir}/libgpod.so
%{_datadir}/gtk-doc/html/libgpod

%files -n python-gpod
%defattr(-, root, root, 0755)
%doc COPYING bindings/python/README bindings/python/examples
%{python_sitearch}/gpod

%changelog
* Wed Nov 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.0-1m)
- version 0.6.0

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-1m)
- version 0.5.2

* Sun Apr 15 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.2-3m)
- python-gpod.spec was merged into this package

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2-2m)
- libgpod-devel Requires: pkgconfig

* Fri Jan 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2-1m)
- version 0.4.2

* Tue Oct 24 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- version 0.4.0

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.2-3m)
- rebuild against gtk+-2.10.3
- delete libtool library

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.2-2m)
- rebuild against dbus 0.92

* Mon Mar  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-1m)
- version 0.3.2

* Tue Feb 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- initial package for amarok-1.4
